Description

"Add Filter" Dropdown List

Many of our users would like to see the fields under the "Add Filter" dropdown to be sorted or sort-able.

Now

Currently, it looks like that dropdown is ordered by:

1. Standard Fields

2. Issue Custom Fields

3. Project Custom Fields

4. User Custom Fields

5. Issue Relations

or so...

And these categories are then further sorted and placed in the same order as it is shown in the admin panel for each respective

category.
Problem

The problem with this is that once we have a lot of custom fields (>~40), the list is extremely hard for most users to use.

Most users are not familiar with the various custom fields and get l

Most users do not understand the way the list is set up, and it doesn't help that there aren't any separations between different

categories of fields/filters.

Proposal

I propose that the dropdown list be sort-able in some fashion.

Whether or not it is sorted as a whole list or sorted in their respective sections/categories does not matter as long as the

sections/categories have some sort of separation.

Some Options:

have different dropdowns for these categories and sort within their categories.

have a single dropdown (as it is now) and sort the entire list.

have a single dropdown and have the standard issue fields near the top with a separator and then sort the rest of the list below.

have a single dropdown and have some sort of separator between each of the categories and then sort within their respective

categories.

This is one of our biggest and most common complaint from the end-user group.

Related issues:

Related to Redmine - Feature #19300: Projects Dropdown Field for Issues - Sor... New

History

#1 - 2015-04-04 16:03 - Toshi MARUYAMA

- Status changed from New to Needs feedback
- Priority changed from High to Normal

It seems your description is based on Redmine 2.x.

#13849 improved "Add Filter".

Could you update your feature request based on #13849?

#2 - 2015-04-07 01:58 - James H

- File DynamicSearchFieldWatchers.png added

Thank you for the Update!

Using a similar format as the one used above in my original post...

Numbered Items are the actual filter fields.

Unnumbered & Underlined Items are category labels.

New suggested changes are bolded

Now

1. Standard Fields

2. Issue Custom Fields

Assignee

3. Assignee Standard Fields

Date

4. Date Standard Fields

5. Date Custom Fields

Project

6. Project Custom Fields

Author

7. Author Custom Fields

Assignee

7. Assignee Custom Fields

Related Issues

8. Issue Relations

Proposed

Personally, I would prefer to see the "Issue custom fields" come after all the standard fields...

1. Standard Fields

Assignee

2. Assignee Standard Fields

Date

3. Date Standard Fields

4. Date Custom Fields

Issue       -     I think this one warrants a category label of its own due to the sheer number of custom fields

5. Issue Custom Fields

Project

6. Project Custom Fields

Author

7. Author Custom Fields

Assignee

7. Assignee Custom Fields

Related Issues

8. Issue Relations

OR

1. Standard Fields

Assignee

2. Assignee Standard Fields

Date

3. Date Standard Fields

Related Issues

4. Issue Relations

CUSTOM FIELDS             -     Segregates the entire list between Standard & Custom fields

Issue

5. Issue Custom Fields

Date

6. Date Custom Fields

Project
7. Project Custom Fields

Author

8. Author Custom Fields

Assignee

9. Assignee Custom Fields

The second option helps to separate the custom fields from the standard fields, which I believe will be helpful when you have a great number of

custom fields.

In addition to the current proposed changes, our users would like to see the list be sort-able (most of them like alpha-numeric).

Our focus here is to make the list of >50 custom fields easy to navigate & choose from for all users.

The list being (by default) sorted by the order that the custom fields are set to, only helps the System Admins; all end-users are completely lost as to

the sorting structure. If it could be sorted within the bounds of each category (e.g. sort all "Issue custom fields" among themselves), that would be fine.

Standard fields are fine without any need for sorting, especially since they are now grouped up and separated into categories and are small in

quantity.

I understand that from a user interface/UX point of view, that it would be hard to handle this situation in a flexible manner for all users. So, I suggest

having a free-form dynamic search field, embeded into the dropdown, that can search by the custom field names (similar to whats available for the

"Add Watcher" function).

 DynamicSearchFieldWatchers.png 

Having this will negate the need for any of the previously mentioned proposals (although it would still be nice).

#3 - 2015-05-05 13:29 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#4 - 2017-12-04 15:13 - Toshi MARUYAMA

- Related to Feature #19300: Projects Dropdown Field for Issues - Sorting/Ordering or Dynamic Searching of Projects added
